Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.SortOrder

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.SortOrder

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.SortOrder

extends java.lang.Enum
implements QtEnumerator

This enum describes how the items in a widget are sorted.

See Also:
  Serialized Form

Field Summary
`static Qt.SortOrder` | `AscendingOrder` The items are sorted ascending e.g.
`static Qt.SortOrder` | `DescendingOrder` The items are sorted descending e.g.

Method Summary
`static Qt.SortOrder` | `resolve(int value)` Returns the SortOrder constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.SortOrder` | `valueOf(java.lang.String name)`
`static Qt.SortOrder[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AscendingOrder

    public static final Qt.SortOrder AscendingOrder

  The items are sorted ascending e.g. starts with 'AAA' ends with 'ZZZ' in Latin-1 locales

### DescendingOrder

    public static final Qt.SortOrder DescendingOrder

  The items are sorted descending e.g. starts with 'ZZZ' ends with 'AAA' in Latin-1 locales

Method Detail

### values

    public static Qt.SortOrder[] values()

### valueOf

    public static Qt.SortOrder valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.SortOrder resolve(int value)

  Returns the SortOrder constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD